RDKit: RDKit::SGroupParsing Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Typedefs | Functions
RDKit::SGroupParsing Namespace Reference

## Typedefs
typedef std::map< int, SubstanceGroup > | IDX_TO_SGROUP_MAP
typedef std::map< int, STR_VECT > | IDX_TO_STR_VECT_MAP

## Functions
unsigned int | ParseSGroupIntField (const std::string &text, unsigned int line, unsigned int &pos, bool isFieldCounter=false)
unsigned int | ParseSGroupIntField (bool &ok, bool strictParsing, const std::string &text, unsigned int line, unsigned int &pos, bool isFieldCounter=false)
double | ParseSGroupDoubleField (const std::string &text, unsigned int line, unsigned int &pos)
double | ParseSGroupDoubleField (bool &ok, bool strictParsing, const std::string &text, unsigned int line, unsigned int &pos)
SubstanceGroup * | FindSgIdx (IDX_TO_SGROUP_MAP &sGroupMap, int sgIdx, unsigned int line)
template<class Exc = FileParseException>
void | SGroupWarnOrThrow (bool strictParsing, const std::string &msg)
void | ParseSGroupV2000STYLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line, bool strictParsing=true)
void | ParseSGroupV2000VectorDataLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line, bool strictParsing=true)
void | ParseSGroupV2000SDILine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line, bool strictParsing=true)
void | ParseSGroupV2000SSTLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int &line, bool strictParsing=true)
void | ParseSGroupV2000SMTLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int &line, bool strictParsing=true)
void | ParseSGroupV2000SLBLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line, bool strictParsing=true)
void | ParseSGroupV2000SCNLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line, bool strictParsing=true)
void | ParseSGroupV2000SDSLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line, bool strictParsing=true)
void | ParseSGroupV2000SBVLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line, bool strictParsing=true)
void | ParseSGroupV2000SDTLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line, bool strictParsing=true)
void | ParseSGroupV2000SDDLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line, bool strictParsing=true)
void | ParseSGroupV2000SCDSEDLine (IDX_TO_SGROUP_MAP &sGroupMap, IDX_TO_STR_VECT_MAP &dataFieldsMap, RWMol *mol, const std::string &text, unsigned int line, bool strictParsing, unsigned int &counter, unsigned int &lastDataSGroup, std::ostringstream &currentDataField)
void | ParseSGroupV2000SPLLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line, bool strictParsing=true)
void | ParseSGroupV2000SNCLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line, bool strictParsing=true)
void | ParseSGroupV2000SAPLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line, bool strictParsing=true)
void | ParseSGroupV2000SCLLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line, bool strictParsing=true)
void | ParseSGroupV2000SBTLine (IDX_TO_SGROUP_MAP &sGroupMap, RWMol *mol, const std::string &text, unsigned int line, bool strictParsing=true)
template<class T>
RDKIT_FILEPARSERS_EXPORT std::vector< T > | ParseV3000Array (std::stringstream &stream, int maxV=-1, bool strictParsing=false)
template<class T>
std::vector< T > | ParseV3000Array (const std::string &s, int maxV=-1, bool strictParsing=false)
void | ParseV3000CStateLabel (RWMol *mol, SubstanceGroup &sgroup, std::stringstream &stream, unsigned int line, bool strictParsing=true)
void | ParseV3000SAPLabel (RWMol *mol, SubstanceGroup &sgroup, std::stringstream &stream, bool strictParsing=true)
std::string | ParseV3000StringPropLabel (std::stringstream &stream)
std::string | ParseV3000SGroupsBlock (std::istream *inStream, unsigned int &line, unsigned int nSgroups, RWMol *mol, bool strictParsing)

## Typedef Documentation

## ◆ IDX_TO_SGROUP_MAP

typedef std::map<int, SubstanceGroup> RDKit::SGroupParsing::IDX_TO_SGROUP_MAP

Definition at line 20 of file MolSGroupParsing.h.

## ◆ IDX_TO_STR_VECT_MAP

typedef std::map<int, STR_VECT> RDKit::SGroupParsing::IDX_TO_STR_VECT_MAP

Definition at line 21 of file MolSGroupParsing.h.

## Function Documentation

## ◆ FindSgIdx()

SubstanceGroup * RDKit::SGroupParsing::FindSgIdx | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | int | sgIdx,
|  | unsigned int | line )

## ◆ ParseSGroupDoubleField() [1/2]

double RDKit::SGroupParsing::ParseSGroupDoubleField | ( | bool & | ok,
|  | bool | strictParsing,
|  | const std::string & | text,
|  | unsigned int | line,
|  | unsigned int & | pos )

## ◆ ParseSGroupDoubleField() [2/2]

double RDKit::SGroupParsing::ParseSGroupDoubleField | ( | const std::string & | text,
|  | unsigned int | line,
|  | unsigned int & | pos )

## ◆ ParseSGroupIntField() [1/2]

unsigned int RDKit::SGroupParsing::ParseSGroupIntField | ( | bool & | ok,
|  | bool | strictParsing,
|  | const std::string & | text,
|  | unsigned int | line,
|  | unsigned int & | pos,
|  | bool | isFieldCounter = false )

## ◆ ParseSGroupIntField() [2/2]

unsigned int RDKit::SGroupParsing::ParseSGroupIntField | ( | const std::string & | text,
|  | unsigned int | line,
|  | unsigned int & | pos,
|  | bool | isFieldCounter = false )

## ◆ ParseSGroupV2000SAPLine()

void RDKit::SGroupParsing::ParseSGroupV2000SAPLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line,
|  | bool | strictParsing = true )

if the SAP line is malformed and has no lvIdx and no id, lvIdx is set to mol->getNumAtoms() and id is set to " " the user is responsible for replacing lvIdx with the correct index: if d_bonds.size() == 1, and one of the bond atom indices is aIdx, the other can be safely assigned to lvIdx

## ◆ ParseSGroupV2000SBTLine()

void RDKit::SGroupParsing::ParseSGroupV2000SBTLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line,
|  | bool | strictParsing = true )

## ◆ ParseSGroupV2000SBVLine()

void RDKit::SGroupParsing::ParseSGroupV2000SBVLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line,
|  | bool | strictParsing = true )

## ◆ ParseSGroupV2000SCDSEDLine()

void RDKit::SGroupParsing::ParseSGroupV2000SCDSEDLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | IDX_TO_STR_VECT_MAP & | dataFieldsMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line,
|  | bool | strictParsing,
|  | unsigned int & | counter,
|  | unsigned int & | lastDataSGroup,
|  | std::ostringstream & | currentDataField )

## ◆ ParseSGroupV2000SCLLine()

void RDKit::SGroupParsing::ParseSGroupV2000SCLLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line,
|  | bool | strictParsing = true )

## ◆ ParseSGroupV2000SCNLine()

void RDKit::SGroupParsing::ParseSGroupV2000SCNLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line,
|  | bool | strictParsing = true )

## ◆ ParseSGroupV2000SDDLine()

void RDKit::SGroupParsing::ParseSGroupV2000SDDLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line,
|  | bool | strictParsing = true )

## ◆ ParseSGroupV2000SDILine()

void RDKit::SGroupParsing::ParseSGroupV2000SDILine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line,
|  | bool | strictParsing = true )

## ◆ ParseSGroupV2000SDSLine()

void RDKit::SGroupParsing::ParseSGroupV2000SDSLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line,
|  | bool | strictParsing = true )

## ◆ ParseSGroupV2000SDTLine()

void RDKit::SGroupParsing::ParseSGroupV2000SDTLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line,
|  | bool | strictParsing = true )

## ◆ ParseSGroupV2000SLBLine()

void RDKit::SGroupParsing::ParseSGroupV2000SLBLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line,
|  | bool | strictParsing = true )

## ◆ ParseSGroupV2000SMTLine()

void RDKit::SGroupParsing::ParseSGroupV2000SMTLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int & | line,
|  | bool | strictParsing = true )

## ◆ ParseSGroupV2000SNCLine()

void RDKit::SGroupParsing::ParseSGroupV2000SNCLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line,
|  | bool | strictParsing = true )

## ◆ ParseSGroupV2000SPLLine()

void RDKit::SGroupParsing::ParseSGroupV2000SPLLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line,
|  | bool | strictParsing = true )

## ◆ ParseSGroupV2000SSTLine()

void RDKit::SGroupParsing::ParseSGroupV2000SSTLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int & | line,
|  | bool | strictParsing = true )

## ◆ ParseSGroupV2000STYLine()

void RDKit::SGroupParsing::ParseSGroupV2000STYLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line,
|  | bool | strictParsing = true )

## ◆ ParseSGroupV2000VectorDataLine()

void RDKit::SGroupParsing::ParseSGroupV2000VectorDataLine | ( | IDX_TO_SGROUP_MAP & | sGroupMap,
|  | RWMol * | mol,
|  | const std::string & | text,
|  | unsigned int | line,
|  | bool | strictParsing = true )

## ◆ ParseV3000Array() [1/2]

template<class T>

std::vector< T > RDKit::SGroupParsing::ParseV3000Array | ( | const std::string & | s,
|  | int | maxV = -1,
|  | bool | strictParsing = false )

Definition at line 141 of file MolSGroupParsing.h.

References ParseV3000Array().

## ◆ ParseV3000Array() [2/2]

template<class T>

RDKIT_FILEPARSERS_EXPORT std::vector< T > RDKit::SGroupParsing::ParseV3000Array | ( | std::stringstream & | stream,
|  | int | maxV = -1,
|  | bool | strictParsing = false )

References RDKIT_FILEPARSERS_EXPORT.

Referenced by ParseV3000Array().

## ◆ ParseV3000CStateLabel()

void RDKit::SGroupParsing::ParseV3000CStateLabel | ( | RWMol * | mol,
|  | SubstanceGroup & | sgroup,
|  | std::stringstream & | stream,
|  | unsigned int | line,
|  | bool | strictParsing = true )

## ◆ ParseV3000SAPLabel()

void RDKit::SGroupParsing::ParseV3000SAPLabel | ( | RWMol * | mol,
|  | SubstanceGroup & | sgroup,
|  | std::stringstream & | stream,
|  | bool | strictParsing = true )

## ◆ ParseV3000SGroupsBlock()

std::string RDKit::SGroupParsing::ParseV3000SGroupsBlock | ( | std::istream * | inStream,
|  | unsigned int & | line,
|  | unsigned int | nSgroups,
|  | RWMol * | mol,
|  | bool | strictParsing )

## ◆ ParseV3000StringPropLabel()

std::string RDKit::SGroupParsing::ParseV3000StringPropLabel | ( | std::stringstream & | stream | ) |

## ◆ SGroupWarnOrThrow()

template<class Exc = FileParseException>

void RDKit::SGroupParsing::SGroupWarnOrThrow | ( | bool | strictParsing,
|  | const std::string & | msg )

Definition at line 45 of file MolSGroupParsing.h.

References BOOST_LOG, and rdWarningLog.